Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/MetalTeapot.hlsl
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/MetalTeapot.hlsl	(revision 1735)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/programs/MetalTeapot.hlsl	(revision 1831)
@@ -15,6 +15,7 @@
 
 
-#define LIN_ITERATIONCOUNT 20
-#define SECANT_ITERATIONCOUNT 2
+#define MAX_LIN_ITERATIONCOUNT 20
+#define MIN_LIN_ITERATIONCOUNT 6
+#define SECANT_ITERATIONCOUNT 1
 
 float Hit(float3 x, float3 R, samplerCUBE mp, out float3 newDir)
@@ -31,6 +32,6 @@
     
   
-    float dt =  length(x / xm - R / Rm) * 256.0 / 2.0;
-    dt = max(dt, 4);
+    float dt =  length(x / xm - R / Rm) * MAX_LIN_ITERATIONCOUNT;
+    dt = max(dt, MIN_LIN_ITERATIONCOUNT);
     dt = 1.0 / dt;
     
@@ -41,16 +42,15 @@
 	//float3 p = R;
 	float3 p = 0;
-	
-	
-	//float dt = 1.0 / LIN_ITERATIONCOUNT;
-	
+		
 	//linear iteration	
-	
-	float t = 0.9999999999999;
+	float t;
+	float dist = 0;
+	/*
+	t = 0.9999999999999;
 	dp = a * t / (1 - t);
 	p = x + R * dp;
-	float dist = readDistanceCubeMap(mp, p);
+	dist = readDistanceCubeMap(mp, p);
 	ppp = length(p) / dist;
-	
+	*/
 	t = 0;	
 		
@@ -241,4 +241,5 @@
 	//return;
 	
+
 	float3 newDir1;
 	float d1 = Hit(mPos, R, NormDistMap1, newDir1);
@@ -285,5 +286,31 @@
 		//Color = float4(1,0,0,1);	
 	}
-	 
+	
+	/*
+	float3 newDir2;
+	float d2 = Hit(mPos, R, NormDistMap2, newDir2);
+	float3 normal2 = readCubeMap(NormDistMap2, newDir2);
+	bool valid2 = dot(normal2, R) < 0 && dot(newDir2,newDir2) != 0;
+	if(valid2)
+		newDir2 = 0;
+	if(valid2)
+	{
+		float d;
+		float3 newN;		
+		d = d2;
+		newN = normal2;
+		float3 newV = R;
+		float3 newX = mPos + R * d;
+		float3 newR = normalize(reflect( newV, newN));
+		
+		Hit(newX, newR, DistanceMap, newTexCoord);	
+		Color = readCubeMap(CubeMap, newTexCoord );
+	}
+	else
+	{
+		Hit(mPos, R, DistanceMap, newTexCoord);	
+		Color = readCubeMap(CubeMap, newTexCoord );
+	}
+	*/	
 	return;
 	
Index: GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/include/GameToolsToneMapDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/include/GameToolsToneMapDemo.h	(revision 1683)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/GameToolsToneMapDemo/include/GameToolsToneMapDemo.h	(revision 1831)
@@ -144,5 +144,7 @@
 		mFrameListener= new ParticleDemoFrameListener(mWindow,
 											mCamera	);
-    mRoot->addFrameListener(mFrameListener);
+		mFrameListener->setPriority(1);	
+	mRoot->addFrameListener(mFrameListener);
+	OgreIlluminationManager::getSingleton().setPriority(2);
 	mRoot->addFrameListener(&OgreIlluminationManager::getSingleton());
    }
Index: GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/include/HierarchicalSystem.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/include/HierarchicalSystem.h	(revision 1671)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/HierarchicalSystem/include/HierarchicalSystem.h	(revision 1831)
@@ -80,6 +80,7 @@
 	 virtual void chooseSceneManager(void)
     {
+		ExampleApplication::chooseSceneManager();
         // Get the SceneManager, in this case a generic one
-        mSceneMgr = mRoot->createSceneManager("TerrainSceneManager");
+       // mSceneMgr = mRoot->createSceneManager("TerrainSceneManager");
     }
 
@@ -91,6 +92,6 @@
 		OgreIlluminationManager::getSingleton().setMainViewport(mWindow->getViewport(0));
 		
-		std::string terrain_cfg("terrain.cfg");
-		mSceneMgr -> setWorldGeometry( terrain_cfg );
+		//std::string terrain_cfg("terrain.cfg");
+		//mSceneMgr -> setWorldGeometry( terrain_cfg );
 
 		Root::getSingleton()._setCurrentSceneManager(mSceneMgr);
